<?php
/**
 * @version   $Id: myspacer.php,v bc8f018bf117 2011/02/10 11:45:57 likemandrake $
 * @author    Piotr Minkina <likemandrake@o2.pl>
 * @copyright Copyright (C) 2011 Piotr Minkina. All rights reserved.
 * @license   GNU/GPL version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/*
why not works?
jimport('joomla.html.parameter.element.spacer');
*/
require_once JPATH_LIBRARIES . DS . 'joomla' . DS . 'html' . DS . 'parameter' . DS . 'element' . DS . 'spacer.php';

/**
 * Simple spacer with Kunena language file loading
 *
 * @author Piotr Minkina <likemandrake@o2.pl>
 */
class JElementMySpacer extends JElementSpacer
{
    /**
     * @see JElement::$_name
     */
    public $_name = 'MySpacer';
    
    /**
     * You know... This is CONSTRUCTOR!
     *
     * Additionally loads Kunena site language file
     *
     * @see JElement::__construct()
     */
    public function __construct($parent = null)
    {
        parent::__construct($parent);
        JFactory::getLanguage()->load('com_kunena', JPATH_ROOT);
    }
    
    /**
     * @see JElement::fetchTooltip()
     */
    public function fetchTooltip($label, $description, &$node, $control_name, $name)
    {
        return JElement::fetchTooltip($label, $description, $node, $control_name, $name);
    }
    
    /**
     * Decorates output string returned by JElementSpacer::fetchElement()
     *
     * @see JElement::fetchElement()
     */
    public function fetchElement($name, $value, &$node, $control_name)
    {
        $output = parent::fetchElement($name, $value, $node, $control_name);
        $output = '<span style="font-weight: bold;">' . $output . '</span>';
        return $output;
    }
}
